=== modified file 'server/mysql_priv.h'
--- server/mysql_priv.h	2008-07-19 07:02:30 +0000
+++ server/mysql_priv.h	2008-07-20 07:25:05 +0000
@@ -657,7 +657,7 @@
 extern ulong server_id;
 
 
-typedef my_bool (*qc_engine_callback)(THD *thd, char *table_key,
+typedef bool (*qc_engine_callback)(THD *thd, char *table_key,
                                       uint key_length,
                                       uint64_t *engine_data);
 #include "sql_string.h"
@@ -881,8 +881,8 @@
 bool mysql_upgrade_db(THD *thd, LEX_STRING *old_db);
 void mysql_binlog_send(THD* thd, char* log_ident, my_off_t pos, ushort flags);
 void mysql_client_binlog_statement(THD *thd);
-bool mysql_rm_table(THD *thd,TABLE_LIST *tables, my_bool if_exists,
-                    my_bool drop_temporary);
+bool mysql_rm_table(THD *thd,TABLE_LIST *tables, bool if_exists,
+                    bool drop_temporary);
 int mysql_rm_table_part2(THD *thd, TABLE_LIST *tables, bool if_exists,
                          bool drop_temporary, bool drop_view, bool log_query);
 bool quick_rm_table(handlerton *base,const char *db,
@@ -1475,7 +1475,7 @@
 /* mysqld.cc */
 extern void MYSQLerror(const char*);
 void refresh_status(THD *thd);
-my_bool mysql_rm_tmp_tables(void);
+bool mysql_rm_tmp_tables(void);
 void handle_connection_in_main_thread(THD *thd);
 void create_thread_to_handle_connection(THD *thd);
 void unlink_thd(THD *thd);
@@ -1587,7 +1587,7 @@
 extern ulong opt_tc_log_size, tc_log_max_pages_used, tc_log_page_size;
 extern ulong tc_log_page_waits;
 extern bool relay_log_purge;
-extern my_bool opt_innodb_safe_binlog, opt_innodb;
+extern bool opt_innodb_safe_binlog, opt_innodb;
 extern uint test_flags,select_errors,ha_open_options;
 extern uint protocol_version, mysqld_port, dropping_tables;
 extern uint delay_key_write_options;
@@ -1616,8 +1616,8 @@
 extern uint connection_count;
 extern bool opt_sql_bin_update;
 extern bool opt_safe_user_create;
-extern my_bool opt_no_mix_types;
-extern my_bool opt_safe_show_db, opt_myisam_use_mmap;
+extern bool opt_no_mix_types;
+extern bool opt_safe_show_db, opt_myisam_use_mmap;
 extern bool opt_local_infile;
 extern bool opt_slave_compressed_protocol;
 extern bool use_temp_pool;
@@ -1634,7 +1634,7 @@
 extern bool opt_old_style_user_limits;
 extern uint opt_crash_binlog_innodb;
 extern char *shared_memory_base_name;
-extern my_bool opt_enable_shared_memory;
+extern bool opt_enable_shared_memory;
 extern char *default_tz_name;
 #endif /* MYSQL_SERVER */
 #ifdef MYSQL_SERVER

=== modified file 'server/rpl_mi.h'
--- server/rpl_mi.h	2008-07-13 22:21:51 +0000
+++ server/rpl_mi.h	2008-07-20 07:25:05 +0000
@@ -66,10 +66,10 @@
   char host[HOSTNAME_LENGTH+1];
   char user[USERNAME_LENGTH+1];
   char password[MAX_PASSWORD_LENGTH+1];
-  my_bool ssl; // enables use of SSL connection if true
+  bool ssl; // enables use of SSL connection if true
   char ssl_ca[FN_REFLEN], ssl_capath[FN_REFLEN], ssl_cert[FN_REFLEN];
   char ssl_cipher[FN_REFLEN], ssl_key[FN_REFLEN];
-  my_bool ssl_verify_server_cert;
+  bool ssl_verify_server_cert;
 
   my_off_t master_log_pos;
   File fd; // we keep the file open, so we need to remember the file pointer

=== modified file 'server/sql_base.cc'
--- server/sql_base.cc	2008-07-15 08:32:54 +0000
+++ server/sql_base.cc	2008-07-20 07:25:05 +0000
@@ -6333,7 +6333,7 @@
 }
 
 
-my_bool mysql_rm_tmp_tables(void)
+bool mysql_rm_tmp_tables(void)
 {
   uint i, idx;
   char	filePath[FN_REFLEN], *tmpdir, filePathCopy[FN_REFLEN];

=== modified file 'server/sql_parse.cc'
--- server/sql_parse.cc	2008-07-20 06:27:34 +0000
+++ server/sql_parse.cc	2008-07-20 07:25:05 +0000
@@ -2119,8 +2119,7 @@
       thd->options|= OPTION_KEEP_LOG;
     }
     /* DDL and binlog write order protected by LOCK_open */
-    res= mysql_rm_table(thd, first_table, lex->drop_if_exists,
-			lex->drop_temporary);
+    res= mysql_rm_table(thd, first_table, lex->drop_if_exists, lex->drop_temporary);
   }
   break;
   case SQLCOM_SHOW_PROCESSLIST:

=== modified file 'server/sql_table.cc'
--- server/sql_table.cc	2008-07-19 07:02:30 +0000
+++ server/sql_table.cc	2008-07-20 07:25:05 +0000
@@ -277,8 +277,7 @@
 
 */
 
-bool mysql_rm_table(THD *thd,TABLE_LIST *tables, my_bool if_exists,
-                    my_bool drop_temporary)
+bool mysql_rm_table(THD *thd,TABLE_LIST *tables, bool if_exists, bool drop_temporary)
 {
   bool error, need_start_waiting= false;
 

